package main

func onClick(in* InWechatMsg) {
	e := in.body.(EventMsg)
	openid := in.header.FromUserName
	switch e.EventKey {
	case "MEMBER_MYPROFILE":
		kfSendTxtAs(openid, "profile", "孙鹏")
	case "MEMBER_CREDITS":
		kfSendTxtAs(openid, "没有余额", "孙鹏")
	case "MEMBER_SEARCH":
		kfSendTxtAs(openid, "搜索", "孙鹏")
	case "MEMBER_FEEDBACK":
		kfSendTxtAs(openid, "匿名投诉", "孙鹏")
	case "EVENT_STARTONE":
		kfSendTxtAs(openid, "开启活动", "孙鹏")
	case "EVENT_LIVE":
		kfSendTxtAs(openid, "观看直播", "孙鹏")
	case "EVENT_CHECKIN":
		kfSendTxtAs(openid, "签到", "孙鹏")
	case "EVENT_LUCKYDRAW":
		kfSendTxtAs(openid, "抽奖", "孙鹏")
	case "EVENTS_UPCOMING":
		kfSendTxtAs(openid, "活动s", "孙鹏")
	case "CAREERDEV_JOBS":
		kfSendTxtAs(openid, "工作", "孙鹏")
	case "CAREERDEV_INDUSTRY":
		kfSendTxtAs(openid, "业界", "孙鹏")
	case "CAREERDEV_OUTREACH":
		kfSendTxtAs(openid, "out", "孙鹏")
	case "CAREERDEV_HIT":
		kfSendTxtAs(openid, "母校", "孙鹏")
	case "CAREERDEV_HELP":
		kfSendTxtAs(openid, "互助", "孙鹏")
	default:
		kfSendTxt(openid, e.EventKey)
	}

}
